JDK version error


#1

Hi All,

In my machine we have JDK 1.7 and JDK 1.8 versions and i have updated environmental variabels by pointing with the
JDK 1.8 and JRE 1.8 a.Both java -version and javac -version shows JDK 1.8.
when i have ran command it is resulting to below error.

java.lang.UnsupportedClassVersionError: cfcc/CFInternet : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
Exception in thread "main"

Could you please suggest me on this.

Thanks and regards,
Mahesh A.


(Mark Walkom) #2

Can you post the entire log please?


(system) #3

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.